libzypp: zypp::SigcheckPlugin Class Reference

libzypp 17.38.11

zypp::SigcheckPlugin Class Reference
Mandatory signature checking

`#include <zypp/repo/PluginSigcheck.h>`

## Classes
struct | Impl

## Public Types
using | Args = std::vector<std::string>

## Public Member Functions
| SigcheckPlugin (const SigcheckPlugin &)=delete
SigcheckPlugin & | operator= (const SigcheckPlugin &)=delete
| SigcheckPlugin (SigcheckPlugin &&) noexcept=default
SigcheckPlugin & | operator= (SigcheckPlugin &&) noexcept=default
| ~SigcheckPlugin ()=default
| SigcheckPlugin (Pathname script_r)
| Creates a SigcheckPlugin.
| SigcheckPlugin (Pathname script_r, Args args_r)
void | launch (const Pathname &chroot_r=Pathname())
| Launch the plugin.
std::string | sigExtension () const
| Extension of a signature file to retrieve.
std::string | keyExtension () const
| Extension of a key file to retrieve.
void | sigcheck (const Pathname &data_r, const Pathname &sig_r=Pathname(), const Pathname &key_r=Pathname()) const
| Let plugin do the signature check.

## Private Attributes
RW_pointer< Impl > | _pimpl

## Friends
std::ostream & | operator<< (std::ostream &str, const SigcheckPlugin &obj)

## Detailed Description

Definition at line 52 of file PluginSigcheck.h.

## Member Typedef Documentation

## ◆ Args

using zypp::SigcheckPlugin::Args = std::vector<std::string>

Definition at line 62 of file PluginSigcheck.h.

## Constructor & Destructor Documentation

## ◆ SigcheckPlugin() [1/4]

zypp::SigcheckPlugin::SigcheckPlugin | ( | const SigcheckPlugin & |  | ) |
| delete

## ◆ SigcheckPlugin() [2/4]

zypp::SigcheckPlugin::SigcheckPlugin | ( | SigcheckPlugin && |  | ) |
| defaultnoexcept

## ◆ ~SigcheckPlugin()

zypp::SigcheckPlugin::~SigcheckPlugin | ( |  | ) |
| default

## ◆ SigcheckPlugin() [3/4]

zypp::SigcheckPlugin::SigcheckPlugin | ( | Pathname | script_r | ) |

Creates a SigcheckPlugin.

Definition at line 125 of file PluginSigcheck.cc.

## ◆ SigcheckPlugin() [4/4]

zypp::SigcheckPlugin::SigcheckPlugin | ( | Pathname | script_r,
|  | Args | args_r )

Definition at line 129 of file PluginSigcheck.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

SigcheckPlugin & zypp::SigcheckPlugin::operator= | ( | const SigcheckPlugin & |  | ) |
| delete

## ◆ operator=() [2/2]

SigcheckPlugin & zypp::SigcheckPlugin::operator= | ( | SigcheckPlugin && |  | ) |
| defaultnoexcept

## ◆ launch()

void zypp::SigcheckPlugin::launch | ( | const Pathname & | chroot_r = Pathname() | ) |

Launch the plugin.

Exceptions

  SigcheckPluginException | on error or if already launched

Definition at line 133 of file PluginSigcheck.cc.

## ◆ sigExtension()

std::string zypp::SigcheckPlugin::sigExtension | ( |  | ) | const

Extension of a signature file to retrieve.

Definition at line 136 of file PluginSigcheck.cc.

## ◆ keyExtension()

std::string zypp::SigcheckPlugin::keyExtension | ( |  | ) | const

Extension of a key file to retrieve.

Definition at line 139 of file PluginSigcheck.cc.

## ◆ sigcheck()

void zypp::SigcheckPlugin::sigcheck | ( | const Pathname & | data_r,
|  | const Pathname & | sig_r = Pathname(),
|  | const Pathname & | key_r = Pathname() ) const

Let plugin do the signature check.

Exceptions

  SigcheckPluginException | on error

Note
  If the plugin was launched chrooted, an existing root prefix is stripped from the Pathname arguments.

Definition at line 142 of file PluginSigcheck.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const SigcheckPlugin & | obj )
| friend

Definition at line 145 of file PluginSigcheck.cc.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl> zypp::SigcheckPlugin::_pimpl
| private

Definition at line 90 of file PluginSigcheck.h.

The documentation for this class was generated from the following files:

- zypp/repo/PluginSigcheck.h
- zypp/repo/PluginSigcheck.cc